Summary: Library and utilities for automated guest OS installs
Name: oz
Version: 0.11.0
Release: %mkrel 7
License: LGPLv2
Group: Emulators
URL: http://aeolusproject.org/oz.html
Source0: http://repos.fedorapeople.org/repos/aeolus/oz/%{version}/tarball/%{name}-%{version}.tar.gz
Patch0: 0001-preseve-original-order-of-package-list-used-for-ICIC.patch
Patch1: oz-0.11.0-mga-mageia.patch
BuildArch: noarch
Requires: python >= 2.5
Requires: python-libguestfs >= 1.18
Requires: libxml2-python
Requires: python-libvirt >= 0.9.7
# in theory, oz doesn't really require libvirtd to be local to operate
# properly.  However, because of the libguestfs manipulations, in practice
# it really does.  Make it depend on libvirt (so we get libvirtd) for now,
# unless/until we are able to make it really be remote.
Requires: libvirt-utils
Requires: python-pycurl
Requires: cdrkit-genisoimage
Requires: mtools
Requires: openssh-clients
Requires: python-m2crypto

BuildRequires: python

%description
Oz is a set of libraries and utilities for doing automated guest OS
installations, with minimal input from the user.

%prep
%setup -q
%apply_patches

%build
python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT --skip-build

mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/oz/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/oz/isocontent/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/oz/isos/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/oz/floppycontent/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/oz/floppies/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/oz/icicletmp/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/oz/jeos/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/oz/kernels/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/oz/screenshots/

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/oz
cp oz.cfg $RPM_BUILD_ROOT%{_sysconfdir}/oz

%post
if [ ! -f %{_sysconfdir}/oz/id_rsa-icicle-gen ]; then
   ssh-keygen -t rsa -b 2048 -N "" -f %{_sysconfdir}/oz/id_rsa-icicle-gen >& /dev/null
fi

%files
%doc README COPYING examples docs
%dir %attr(0755, root, root) %{_sysconfdir}/oz/
%config(noreplace) %{_sysconfdir}/oz/oz.cfg
%dir %attr(0755, root, root) %{_localstatedir}/lib/oz/
%dir %attr(0755, root, root) %{_localstatedir}/lib/oz/isocontent/
%dir %attr(0755, root, root) %{_localstatedir}/lib/oz/isos/
%dir %attr(0755, root, root) %{_localstatedir}/lib/oz/floppycontent/
%dir %attr(0755, root, root) %{_localstatedir}/lib/oz/floppies/
%dir %attr(0755, root, root) %{_localstatedir}/lib/oz/icicletmp/
%dir %attr(0755, root, root) %{_localstatedir}/lib/oz/jeos/
%dir %attr(0755, root, root) %{_localstatedir}/lib/oz/kernels/
%dir %attr(0755, root, root) %{_localstatedir}/lib/oz/screenshots/
%{python_sitelib}/oz
%{_bindir}/oz-install
%{_bindir}/oz-generate-icicle
%{_bindir}/oz-customize
%{_bindir}/oz-cleanup-cache
%{python_sitelib}/oz-*.egg-info
%{_mandir}/man1/*


%changelog
* Fri Nov 22 2013 joequant <joequant> 0.11.0-7.mga4
+ Revision: 552278
- update with mageia 4 fixes

* Tue Nov 12 2013 joequant <joequant> 0.11.0-6.mga4
+ Revision: 550749
- save output to defined tmp rather than to hard coded /tmp

* Tue Oct 22 2013 umeabot <umeabot> 0.11.0-5.mga4
+ Revision: 542802
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.11.0-4.mga4
+ Revision: 498024
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Sep 24 2013 joequant <joequant> 0.11.0-3.mga4
+ Revision: 485544
- update to newer mga

* Sun Sep 22 2013 joequant <joequant> 0.11.0-2.mga4
+ Revision: 483222
- add latest mageia patch

* Tue Sep 17 2013 joequant <joequant> 0.11.0-1.mga4
+ Revision: 480810
- change libraries
- change group
- add mageia patch
- add oz
- imported package oz

